package com.cnbm.generator.code.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.math.BigDecimal;

import java.util.Date;

/**
 * 包装箱基板关联表 ( 基板表 )
 *
 * @author codeGenerator
 * @since  2023-02-21
 */
@Data
public class WoPackagingBoxSubstrateExcel {
    @Excel(name = "ID")
    private Long id;
    @Excel(name = "包装箱ID，BoxId")
    private String packagingBoxId;
    @Excel(name = "基板ID")
    private String woSubstrateId;
    @Excel(name = "创建人")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;
    @Excel(name = "箱中位置")
    private Integer slot;
    @Excel(name = "进入时间")
    private LocalDateTime inputTime;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "SAP MATERIAL,从t_wo_power_level 对应过来的")
    private String sapMaterial;
    @Excel(name = "线体,从t_wo_power_level 对应过来的，1=F ; 2=S")
    private Integer lineBody;
    @Excel(name = "功率等级")
    private String powerLevel;

}